Package twisted :: Package words :: Module service :: Class Service

[show private | hide private]
[frames | no frames]

## Class Service

    OriginalAccessor --+
                       |
           Versioned --+
                       |
      ApplicationService --+
                           |
                     Service --+
                               |
                         Service --+
                                   |
                       Versioned --+
                                   |
                                  Service

I am a chat service.

Method Summary
| `__init__(self, name, parent, auth)`
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out. (inherited from `Versioned`)
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| `__str__(self)`
| `addBot(self, name, bot)`
| ``addPerspective`(self, perspective)` Add a perspective to this Service. (inherited from `Service`)
| ``cachePerspective`(self, perspective)` Cache a perspective loaded from an external data source. (inherited from `Service`)
| ``createParticipant`(self, name)` Create a perspective from self.perspectiveClass and add it to this service.
| ``createPerspective`(self, name)` Create a perspective from self.perspectiveClass and add it to this service.
| `deleteBot(self, bot)`
| ``disownServiceParent`(self)` Have my parent disown me. (inherited from `ApplicationService`)
| `get_application(self)` (inherited from `ApplicationService`)
| `getGroup(self, name)`
| ``getPerspectiveForIdentity`(self, name, identity)` A hook to use if the identity is required when getting the perspective. (inherited from `Service`)
| ``getPerspectiveNamed`(self, name)` Return a perspective that represents a user for this service.
| ``getPerspectiveRequest`(self, name)` Return a Deferred which is a request for a perspective on this service. (inherited from `Service`)
| ``getServiceName`(self)` The name of this service. (inherited from `Service`)
| ``getServiceType`(self)` Get a string describing the type of this service. (inherited from `Service`)
Deferred Perspective | ``loadPerspective`(self, name)` Load a perspective from an external data-source. (inherited from `Service`)
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects. (inherited from `OriginalAccessor`)
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects. (inherited from `OriginalAccessor`)
| `set_application(self, application)` (inherited from `ApplicationService`)
| `setApplication(self, application)` (inherited from `ApplicationService`)
| ``setServiceParent`(self, serviceParent)` Set my parent, which must be a service collection of some kind. (inherited from `ApplicationService`)
| ``startService`(self)` This call is made as a service starts up. (inherited from `ApplicationService`)
| ``stopService`(self)` This call is made before shutdown. (inherited from `ApplicationService`)
| ``uncachePerspective`(self, perspective)` Uncache a perspective loaded from an external data source. (inherited from `Service`)
| `upgradeToVersion1(self)`
| `upgradeToVersion3(self)`
| `upgradeToVersion4(self)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Class Variable Summary
`class` | `Participant`
`int` | `persistenceVersion`

Method Details

### createParticipant(self, name)

Create a perspective from self.perspectiveClass and add it to this service.

  Overrides:
    `twisted.cred.service.Service.createPerspective` (inherited documentation)

### createPerspective(self, name)

Create a perspective from self.perspectiveClass and add it to this service.

  Overrides:
    `twisted.cred.service.Service.createPerspective` (inherited documentation)

### getPerspectiveNamed(self, name)

Return a perspective that represents a user for this service. (DEPRECATED)

Raises a KeyError if no such user exists. Override this method to provide dynamic instantiation of perspectives. It is only deprecated to call this method directly, not to override it; when you need to get a Perspective, call getPerspectiveRequest.

  Overrides:
    `twisted.cred.service.Service.getPerspectiveNamed` (inherited documentation)

Class Variable Details

### Participant

`Participant` = `twisted.words.service.Participant`

### persistenceVersion

  Type:
    `int`
  Value:

        4

Generated by Epydoc 1.1 on Thu May 8 13:19:26 2003 | http://epydoc.sf.net